<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.ruoyi.demo.mapper.WdInfoDao">
    <select id="selectTopologicalBuildWdList" resultType="com.ruoyi.demo.entity.TopologicalBuildingWd">
        select ddt_wd_info.wd_id as around_wd_id,wd_name,wd_type_code,addr_code,addr_info,rent,build_type,property_type,lat,lng from ddt_wd_info left join ddt_build_wd on ddt_wd_info.wd_id = ddt_build_wd.wd_id ${ew.customSqlSegment}
    </select>

    <select id="selectTopologicalHouseList" resultType="com.ruoyi.demo.entity.TopologicalHouseWd">
        select ddt_wd_info.wd_id as around_wd_id,wd_name,wd_type_code,addr_code,addr_info,rent,households,people_count,property_type,lat,lng from ddt_wd_info left join ddt_house_wd on ddt_wd_info.wd_id = ddt_house_wd.wd_id ${ew.customSqlSegment}
    </select>
</mapper>

